Public Types | Public Member Functions

# CYapfDestinationAnyDepotRoadT< Types > Class Template Reference

Inheritance diagram for CYapfDestinationAnyDepotRoadT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables
## Public Member Functions
Tpf & | Yapf ()
| to access inherited path finder
bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
bool | PfDetectDestinationTile (TileIndex tile, Trackdir trackdir)
bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.

## Detailed Description

### template<class Types>
class CYapfDestinationAnyDepotRoadT< Types >

Definition at line 169 of file yapf_road.cpp.

## Member Function Documentation

template<class Types >

bool CYapfDestinationAnyDepotRoadT< Types >::PfCalcEstimate | ( | Node & | n | ) | `[inline]`

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::m_estimate

Definition at line 199 of file yapf_road.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp